OpenVDB: Gradient< InGridT, MaskGridType, InterruptT >::Functor Struct Reference

OpenVDB 13.0.0

Loading...
Searching...
No Matches
Gradient< InGridT, MaskGridType, InterruptT >::Functor Struct Reference

`#include <openvdb/tools/GridOperators.h>`

## Public Member Functions
| Functor (const InGridT &grid, const MaskGridType *mask, bool threaded, InterruptT *interrupt)
template<typename MapT>
void | operator() (const MapT &map)

## Public Attributes
const bool | mThreaded
const InGridT & | mInputGrid
OutGridType::Ptr | mOutputGrid
InterruptT * | mInterrupt
const MaskGridType * | mMask

## Constructor & Destructor Documentation

## ◆ Functor()

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

Functor | ( | const InGridT & | grid,
|  | const MaskGridType * | mask,
|  | bool | threaded,
|  | InterruptT * | interrupt )
| inline

## Member Function Documentation

## ◆ operator()()

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>
template<typename MapT>

void operator() | ( | const MapT & | map | ) |
| inline

## Member Data Documentation

## ◆ mInputGrid

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

const InGridT& mInputGrid

## ◆ mInterrupt

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

InterruptT* mInterrupt

## ◆ mMask

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

const MaskGridType* mMask

## ◆ mOutputGrid

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

OutGridType::Ptr mOutputGrid

## ◆ mThreaded

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

const bool mThreaded